{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables-responsive.css' %}">
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Agenda</li>
        </ol>
    </nav>

    <a href="{% url 'profile:admin_agenda_create' %}"> 
        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Agenda</button>
    </a>
    

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Agenda</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive py-3">
                <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                    <thead class="bg-info text-white">
                        <tr>
                            <th scope="col" class="text-center">#</th>
                            <th scope="col" class="text-center">Nama</th>
                            <th scope="col" class="text-center">Keterangan</th>
                            <th scope="col" class="text-center">Tanggal</th>
                            <th scope="col" class="text-center">Waktu</th>
                            <th scope="col" class="text-center">Dibuat</th>
                            <th scope="col" class="text-center">Status</th>
                            <th scope="col" class="text-center">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for agenda in agendas %}
                            <tr>
                                <th>{{ forloop.counter }}</th>
                                <td>{{ agenda.name }}</td>
                                <td>{{ agenda.description | truncatewords:6 }}</td>
                                <td>
                                    {% if agenda.finish_date %} {{agenda.start_date}} - {{agenda.finish_date}}{% else %} {{agenda.start_date}} {% endif %}
                                </td>
                                <td>
                                    {% if agenda.finish_time %} {{agenda.start_time}} - {{agenda.finish_time}}{% else %} {{agenda.start_time}} {% endif %}
                                </td>
                                <td>{{ agenda.created_at }}</td>
                                <td class="text-white {% if agenda.deleted_at %}bg-danger{% else %}bg-success{% endif %}">
                                    {% if agenda.deleted_at %}Hidden{% else %}Published{% endif %}
                                </td>
                                <td class="text-center">
                                    <button href="#" class="btn btn-info btn-circle pass-data" 
                                        data-tooltip="tooltip" data-placement="top" title="Detail"
                                        data-toggle="modal" data-target="#modal-center"
                                        data-name="{{ agenda.name }}"
                                        data-description="{{ agenda.description }}"
                                        data-start="{{ agenda.start_date }}"
                                        data-finish="{{ agenda.finish_date }}"
                                        data-start-time="{{ agenda.start_time }}"
                                        data-finish-time="{{ agenda.finish_time }}"
                                        data-every-year="{{ agenda.every_year }}"
                                        data-color="{{ agenda.color }}">
                                        <i class="bi bi-info"></i>
                                    </button>
                                    <a class="btn btn-info btn-circle" 
                                        href="{% url 'profile:admin_agenda_edit' slug=agenda.slug %}"
                                        data-toggle="tooltip" data-placement="top" title="Edit">
                                        <i class="bi bi-pencil"></i>
                                    </a>

                                    {% if agenda.deleted_at %}
                                        <button class="btn btn-success btn-circle" 
                                            onclick="restore_(`{{ agenda.name }}`, '{{ agenda.slug }}', 'agenda', 'Agenda')"
                                            data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                            <i class="bi bi-arrow-counterclockwise"></i>
                                        </button>
                                    {% else %}
                                        <button href="#" class="btn btn-danger btn-circle" 
                                            onclick="delete_('soft_delete', `{{ agenda.name }}`, '{{ agenda.slug }}', 'agenda', 'Agenda')"
                                            data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </button>
                                    {% endif %}
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    {% if request.user.is_staff and archives %}
        <div class="card shadow mb-5">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-info">Arsip Agenda</h6>
                <div class="dropdown no-arrow">
                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                    </a>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive py-3">
                    <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-archive">
                        <thead class="bg-info text-white">
                            <tr>
                                <th scope="col" class="text-center">#</th>
                                <th scope="col" class="text-center">Nama</th>
                                <th scope="col" class="text-center">Keterangan</th>
                                <th scope="col" class="text-center">Tanggal</th>
                                <th scope="col" class="text-center">Waktu</th>
                                <th scope="col" class="text-center">Dibuat</th>
                                <th scope="col" class="text-center">Status</th>
                                <th scope="col" class="text-center">Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for archive in archives %}
                                <tr>
                                    <th>{{ forloop.counter }}</th>
                                    <td>{{ archive.name }}</td>
                                    <td>{{ archive.description | truncatewords:6 }}</td>
                                    <td>
                                        {% if archive.finish_date %} {{archive.start_date}} - {{archive.finish_date}}{% else %} {{archive.start_date}} {% endif %}
                                    </td>
                                    <td>
                                        {% if archive.finish_time %} {{archive.start_time}} - {{archive.finish_time}}{% else %} {{archive.start_time}} {% endif %}
                                    </td>
                                    <td>{{ archive.created_at }}</td>
                                    <td class="text-white {% if archive.deleted_at %}bg-danger{% else %}bg-success{% endif %}">
                                        {% if archive.deleted_at %}Hidden{% else %}Published{% endif %}
                                    </td>
                                    <td class="text-center">
                                        <button href="#" class="btn btn-info btn-circle pass-data" 
                                            data-tooltip="tooltip" data-placement="top" title="Detail"
                                            data-toggle="modal" data-target="#modal-center"
                                            data-name="{{ archive.name }}"
                                            data-description="{{ archive.description }}"
                                            data-start="{{ archive.start_date }}"
                                            data-finish="{{ archive.finish_date }}"
                                            data-start-time="{{ archive.start_time }}"
                                            data-finish-time="{{ archive.finish_time }}"
                                            data-every-year="{{ archive.every_year }}"
                                            data-color="{{ archive.color }}">
                                            <i class="bi bi-info"></i>
                                        </button>
                                        <button class="btn btn-success btn-circle" 
                                            onclick="restore_(`{{ archive.name }}`, '{{ archive.slug }}', 'agenda', 'Agenda')"
                                            data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                            <i class="bi bi-arrow-counterclockwise"></i>
                                        </button>
                                        <button href="#" class="btn btn-danger btn-circle" 
                                            onclick="delete_('permanent_delete', `{{ archive.name }}`, '{{ archive.slug }}', 'agenda', 'Agenda')"
                                            data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                            <i class="bi bi-trash"></i>
                                        </button>
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    {% endif %}
    
    
    <div class="modal fade" id="modal-center" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Detail Agenda</h5>
                <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                </div>
                <div class="modal-body">
                        <div class="form-group">
                            <label for="detail-nama">Nama</label>
                            <input type="text" class="form-control" id="detail-name" disabled>
                        </div>
                        <div class="form-group">
                            <label for="detail-keterangan">Keterangan</label>
                            <textarea class="form-control" id="detail-keterangan" rows="3" disabled></textarea>
                        </div>
                        <div class="form-row">
                            <div class="form-group col">
                                <label for="detail-nama">Tanggal Dimulai</label>
                                <input type="text" class="form-control" id="detail-start" disabled>
                            </div>
                            <div class="form-group col">
                                <label for="detail-nama">Tanggal Selesai</label>
                                <input type="text" class="form-control" id="detail-finish" disabled>
                            </div>
                        </div>
                        <div class="form-row mb-1">
                            <div class="form-group col">
                                <label for="detail-nama">Tanggal Dimulai</label>
                                <input type="text" class="form-control" id="detail-start-time" disabled>
                            </div>
                            <div class="form-group col">
                                <label for="detail-nama">Tanggal Selesai</label>
                                <input type="text" class="form-control" id="detail-finish-time" disabled>
                            </div>
                        </div>
                        <div class="form-group">
                            <p>Jenis Acara : <span id="detail-jenis"></span></p>
                        </div>
                        <div class="form-group">
                            <p>Warna Badge : <i class="bi bi-circle-fill" id="detail-color"></i></p>
                        </div>
                </div>
                <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <!-- <button type="button" class="btn btn-info">Save changes</button> -->
                </div>
            </div>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'profile/js/datatables/datatables.min.js' %}"></script>
    <script src="{% static 'profile/js/admin/admin-aksi.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable({
                responsive: true,
            });
            $('#table-archive').DataTable({
                responsive: true,
            });
        });
        $('.pass-data').click(function(){
            $('#detail-name').val($(this).attr('data-name'));
            $('#detail-keterangan').val($(this).attr('data-description'));
            $('#detail-start').val($(this).attr('data-start'));
            $('#detail-finish').val($(this).attr('data-finish'));
            $('#detail-start-time').val($(this).attr('data-start-time'));
            $('#detail-finish-time').val($(this).attr('data-finish-time'));
            $('#detail-jenis').text($(this).attr('data-every-year') == 'true' ? 'Acara Rutin Tiap Tahun' : 'Acara Tidak Rutin');
            $('#detail-color').css('color', $(this).attr('data-color'));
        });
    </script>
{% endblock scripts_bawah %}